> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Grafana dashboard JSON for an application

> Get the Grafana dashboard JSON for an application.



## OpenAPI

````yaml /openapi.json get /api/svc/v1/metrics/grafana/dashboard-json/{workspaceId}
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/metrics/grafana/dashboard-json/{workspaceId}:
    get:
      tags:
        - Metrics
      summary: Get Grafana dashboard JSON for an application
      description: Get the Grafana dashboard JSON for an application.
      operationId: Metrics.getGrafanaDashboardJson
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: applicationId
          required: true
          in: query
          description: >-
            Unique identifier of the application to generate the Grafana
            dashboard for.
          schema:
            type: string
        - name: filterQuery
          required: false
          in: query
          description: JSON-encoded filter object.
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Returns the Grafana dashboard JSON for the application.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GrafanaDashboardJson'
        '400':
          description: |-
            Bad Request. This can happen due to: 
            1. Helm application does not support application level metrics 
            2. Cluster is disconnected
        '404':
          description: Not Found. Application with provided id not found
        '500':
          description: Internal Server Error. Failed to fetch Grafana dashboard JSON
      security:
        - jwt: []
components:
  schemas:
    GrafanaDashboardJson:
      type: object
      properties:
        panels:
          description: Panels of Dashboard
          type: array
          items:
            $ref: '#/components/schemas/GrafanaPanel'
        title:
          type: string
          description: Title of Dashboard
        uid:
          type: string
          description: UID of Dashboard
        templating:
          type: object
          additionalProperties: true
          description: Templating configuration of Dashboard
      required:
        - panels
        - title
        - uid
        - templating
      title: GrafanaDashboardJson
      x-fern-type-name: GrafanaDashboardJson
    GrafanaPanel:
      type: object
      properties:
        gridPos:
          type: object
          additionalProperties: true
          description: Grid Position of Panel
        datasource:
          type: object
          additionalProperties: true
          description: Datasource of Panel
        targets:
          additionalProperties: true
          type: array
          items:
            type: object
        title:
          type: string
          description: Title of Panel
        type:
          type: string
          description: Type of Panel
      required:
        - gridPos
        - datasource
        - targets
        - title
        - type
      title: GrafanaPanel
      x-fern-type-name: GrafanaPanel
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````